summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2006-07-27 12:04:47 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:13:41 +0200
commit4f94af6e5fd6e933414ae73e051f7e37b8f9ce42 (patch)
tree2393eb69145328d9c12844a277275cd2f1951472 /autogen.sh
parent68fca0cbbd8055f63c5ba9075b6a5ab5d3389bb2 (diff)
downloadexternal_gettext-4f94af6e5fd6e933414ae73e051f7e37b8f9ce42.zip
external_gettext-4f94af6e5fd6e933414ae73e051f7e37b8f9ce42.tar.gz
external_gettext-4f94af6e5fd6e933414ae73e051f7e37b8f9ce42.tar.bz2
Accept option --quick.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 75eed57..7dec7ba 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -20,6 +20,14 @@
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+# Usage: ./autogen.sh [--quick]
+
+if test "x$1" = "x--quick"; then
+ quick=true
+else
+ quick=false
+fi
+
aclocal
autoconf
automake
@@ -57,7 +65,10 @@ cp -p gettext-runtime/ABOUT-NLS gettext-tools/ABOUT-NLS
aclocal -I ../../gettext-runtime/m4 -I ../../m4
autoconf
automake
- ./configure && (cd po && make update-po) && make distclean
+ # Rebuilding the examples PO files is only rarely needed.
+ if ! $quick; then
+ ./configure && (cd po && make update-po) && make distclean
+ fi
)
cp -p autoconf-lib-link/config.rpath build-aux/config.rpath